=== debian/changelog ===
zpspell (0.4.3-7) unstable; urgency=medium

  * QA Upload
  * Import on Salsa
  * Replace CDBS build with DebHelper

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Mar 2025 14:54:54 +0100

zpspell (0.4.3-6) unstable; urgency=medium

  * QA upload.
  * debian/tests/control: Create autopkgtest.

 -- Marcos Talau <talau@debian.org>  Sat, 23 Nov 2024 11:56:07 -0300

zpspell (0.4.3-5) unstable; urgency=medium

  * QA upload.
  * Drop Vcs fields. (Closes: #1031995)
  * Convert to source format 3.0 (quilt).

  [ Helmut Grohne ]
  * Use standard pkg-config integration. (Closes: #977183)

 -- Bastian Germann <bage@debian.org>  Tue, 22 Aug 2023 13:49:06 +0000

zpspell (0.4.3-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/compat: bumped level to 7. (Closes: #965922)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 22 Apr 2022 19:23:46 -0300

zpspell (0.4.3-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * FTBFS: CMake Error: The following variables are used in this project,
    but they are set to NOTFOUND (Closes: #652208).
    - debian/patches/find_path-GLIB_CONFIG_DIR.diff

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 07 Jan 2012 22:08:43 +0900

zpspell (0.4.3-4) unstable; urgency=low

  * FTBFS with binutils-gold (Closes: #556775):
    - Link against gobject-2.0.
    - Use quilt as patch system.
  * Bump standards version. No changes needed.

 -- Rail Aliev <rail@i-rs.ru>  Wed, 18 Nov 2009 02:37:50 +0300

zpspell (0.4.3-3) unstable; urgency=low

  * Add manual page for zpspell(1) (Closes: #530759). Build-Depend on xsltproc
    and docbook-xsl.
  * Depend on zemberek-server (Closes: #531913).
  * Bump standards version to 3.8.2. No changes needed.

 -- Rail Aliev <rail@i-rs.ru>  Tue, 23 Jun 2009 21:28:01 +0400

zpspell (0.4.3-2) unstable; urgency=low

  * debian/copyright:
    - Change (C) to ©.

 -- Rail Aliev <rail@i-rs.ru>  Mon, 18 May 2009 23:16:20 +0400

zpspell (0.4.3-1) unstable; urgency=low

  * New upstream release.
  * Drop debian/patches/gcc-4.4.diff, fixed in upstream. (Closes: #529263)
  * debian/rules:
    - Drop simple-patchsys.mk.
  * debian/control:
    - Upgrade to Standards-Version 3.8.1. No changes needed.

 -- Rail Aliev <rail@i-rs.ru>  Mon, 18 May 2009 19:02:27 +0400

zpspell (0.4.2-6) unstable; urgency=low

  * debian/patches/gcc-4.4.diff:
    - Use cstdio instead of stdio.h.
    - Add patch description.

 -- Rail Aliev <rail@i-rs.ru>  Thu, 07 May 2009 16:04:15 +0400

zpspell (0.4.2-5) unstable; urgency=low

  * debian/patches/gcc-4.4.diff:
    - GCC 4.4 build bits.
  * debian/rules:
    - Add simple-patchsys.mk.

 -- Rail Aliev <rail@i-rs.ru>  Thu, 07 May 2009 10:30:31 +0400

zpspell (0.4.2-4) unstable; urgency=low

  * Release targeted for Debian.
  * debian/control:
    - Change 'Maintainer', 'Vcs-Browser' and 'Vcs-Bzr' fields.

 -- Rail Aliev <rail@i-rs.ru>  Mon, 04 May 2009 21:12:07 +0400

zpspell (0.4.2-3ubuntu1) jaunty; urgency=low

  * Update Mainainer field

 -- Rail Aliev <rail@i-rs.ru>  Wed, 08 Apr 2009 01:47:19 +0400

zpspell (0.4.2-3) jaunty; urgency=low

  * Close needs-packaging (LP: #357226)

 -- Rail Aliev <rail@i-rs.ru>  Wed, 08 Apr 2009 00:49:04 +0400

zpspell (0.4.2-2) jaunty; urgency=low

  * Use GPL 3 for packaging

 -- Rail Aliev <rail@i-rs.ru>  Wed, 08 Apr 2009 00:40:06 +0400

zpspell (0.4.2-1) unstable; urgency=low

  * New upstream release

 -- Rail Aliev <rail@i-rs.ru>  Tue, 07 Apr 2009 13:11:49 +0400

zpspell (0.4.1-1) unstable; urgency=low

  * Initial release

 -- Rail Aliev <rail@i-rs.ru>  Sat, 19 Jul 2008 00:37:06 +0400
