=== debian/control ===
Source: zpspell
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 docbook-xsl,
 libdbus-glib-1-dev,
 xsltproc,
Standards-Version: 4.7.2
Vsc-Git: https://salsa.debian.org/debian/zpspell.git
Vcs-Browser: https://salsa.debian.org/debian/zpspell
X-Style: black

Package: zpspell
Architecture: any
Depends:
 zemberek-server,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Command line interface for zemberek-server
 zpspell is the command line interface for zemberek-server. It simulates the
 ispell interface for being compatible with programs using ispell interactive
 mode.
