=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_install:
	xsltproc --nonet \
		--output debian/ \
		--param man.charmap.use.subset "0" \
		--param make.year.ranges "1" \
		--param make.single.year.ranges "1" \
		--param man.authors.section.enabled "1" \
		--param man.copyright.section.enabled "0" \
		--param man.charmap.enabled "0" \
		/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
		debian/zpspell.xml
