=== debian/tests/control ===
Test-Command: zpspell mutluluk | grep "mutluluk: doğru"
Restrictions:
 superficial,

Test-Command: zpspell mutlulok | grep "mutlulok: yanlış (mutluluk, Mutluluk, mutlu lok)"
Restrictions:
 superficial,
