=== debian/watch ===
version=4
http://cekirdek.pardus.org.tr/~baris/zpspell/zpspell-(.*)\.tar\.bz2
